Updating Models Created in a Previous Release of MapleSim - MapleSim Help

Online Help

All Products    Maple    MapleSim


Home : Support : Online Help : MapleSim : Using MapleSim : tasks/building/updatingMapleSimModels

Updating Models Created in a Previous Release of MapleSim

In MapleSim 2015, the Modelica® Standard Library 3.1 was replaced with the Modelica Standard Library 3.2.1. If you created a model in MapleSim 7 or earlier, you can open it in MapleSim 2015 or later; the model will be updated automatically to use equivalent components from the Modelica Standard Library 3.2.1. However, if the model is saved in MapleSim 2015 or later it cannot be opened using MapleSim 7 or earlier.

If you still want to use your older models with an earlier version of MapleSim, you must save a backup copy of the model. The backup process is started automatically by MapleSim when you save a model that uses an older library. See the following procedure for details on how to save a backup of your original model.

To backup and update older models for use in MapleSim 2015 (or later):

1. 

In MapleSim 2015 (or later), open a model created in MapleSim 7 or earlier.

2. 

Select File and then select Save.

The Model Update dialog box appears, asking if you want to keep a backup copy of the model.

3. 

Click Yes to create a backup copy of the model.

MapleSim saves a backup copy of the original model to your current directory. The backup copy has _vX appended to its filename (X is the MapleSim version that was used to create the model).

4. 

Click OK.

You now have two copies of your model: one copy that can be used in MapleSim 2015 (or later) and one copy with _vX appended to it that can be opened in your earlier version of MapleSim.

For more information on how to troubleshoot an updated model created in MapleSim 4 or earlier, see Troubleshoot Updated Models Created in MapleSim 4 or Earlier.

Note:  If you save a model created in MapleSim 5 or earlier that contains multibody components using MapleSim 6 or later, the saved model is not backwards compatible.

See Also

Opening a Model

Troubleshoot Updated Models Created in MapleSim 4.5 or Earlier

Updating Libraries Created in MapleSim 6.4 or Earlier


Download Help Document

Was this information helpful?



Please add your Comment (Optional)
E-mail Address (Optional)
What is ? This question helps us to combat spam